Presentation

ZaraRadio v1.6.2


New features

New features in version 1.6.2

  • Compatible with Windows Vista.

  • Improved the separation of the HTH buttons.

  • Bug fixes.

New features in version 1.6.1

  • Bug fixes.

New features in version 1.6

  • DTMF tone detector.

  • It is not necessary to restart the program when changing the soundcards assigned to ZaraRadio.

  • Four auxiliary players. Each player can be assigned to a differente soundcard.

  • Sweepers (voicetracking)

  • Reduce the volume of the main playlist when the jingles are being played.

  • The date is displayed again.

  • Log browser, which allows to export transmission reports.

  • Autodelete function in the playlist.

  • Loop button in the playlist.

  • The rotations now work with lst, m3u and pls files.

  • The log file keeps track of the weather data values, when they are played.

  • Choose which file types will be displayed in the file explorer.

  • Disable weather announcements when the data files generated by Weather Watcher hasn't been updated during a long time.

  • The add random track dialog remembers the last open folder.

  • Scroll in the “On Air” and “Next” indicators.

  • Option to prevent the users from opening several instances.

  • Improved the security of the options dialog. In order to change the password, the old one needs to be typed first.

  • Connection with Windows Media on-line radios.

  • Bug fixes.


FAQ

Frequently Asked Questions (FAQ)

  • I have inserted time files in the list, but ZaraRadio skips them and they never play. Now what?
    Most likely the problem is that the MP3 time file does not exist or is located in another place. The files must be located in the "Time" folder (normally in c:\Program Files\ZaraSoft\ZaraRadio\Time). See the help file regarding this function. There are websites that provide free downloads of the time files. ZaraRadio.com also provides info for download of these files. This is also applicable in the case of the temperature and the humidity, unless the files must be placed in the folders Temperature and Humidity respectively.

  • I placed the time files in the Time folder and they don't play. Now what?
    Make sure the files follow the proper name format and are located in the correct folder. Sometimes when unzipping a download, a new Time folder may be created within the correct Time folder. If that's the case, simply move the files to the correct folder. Find the correct file name format in the help files.

  • Why do I get an error message when I press the clock icon located next to the current time?
    A time announcement is to occur when the clock icon is clicked. For this to work, you must have the hour and minute files correctly installed. See the previous question and the help files regarding time announcements.

  • Can the overlapping of files be different for each one?
    Yes. In order to do that, the file is renamed to include the number of seconds to overlap (myfile~n.mp3) where n is the number of seconds to overlap. (see Options-Fade for more details)

  • I added an overlapping ~10 to a file, but ZaraRadio does not consider it. Now what?
    When the silence detector is activated in options, the time indicated with ~ indicates when the detector begins to monitor the volume. So that the overlapping is exact, it deactivates the detector for that time (see Options-Fade for more details).

  • Is voicetracking supported?
    Yes. Since version 1.6, it is supported. See the voicetracking page for more details.

  • Can DirectX plug-ins be used with ZaraRadio?
    No, and at the moment there are no plans to do this.

  • Where can I download the program Weather Watcher?
    At http://www.singerscreations.com/

  • How can I configure the program Weather Watcher?
    Once Weather Watcher is installed, go to Options and visit all the tabs to configure all the parameters.

    Auto Update: Select any value, excepting “never auto update”. Once every 15 minutes may be a good choice.

    Conversion: Indicate how you want the program to measure each atmospheric value.

    Export: Check enable exporter and indicate in which file it has to write the data. For example, write theweather.html. That way, it will create a page with the updated data in the same directory where Weather Watcher is installedeather Watcher. Don't change the field export template.

    That is the basic configuration for the program to work with ZaraRadio. Now, go to your favourite radio automation software and open the tab TTH, in the options dialog.

    Check import from a file and write the path of the file theweather.html. Easier: press the browse button and locate in the directory of Weather Watcher the file in question. Normally the path will be: C:\Program Files\Weather Watcher\theweather.html

    Now, the only thing missing is to put the files with the voices into the folders humidity and temperature of ZaraRadio and everything should work correctly. Please, note that the frequency in which the data is updated is determined by the configuration of Weather Watcher.


Playlist

The playlist is the main element of ZaraRadio. It shows the sequence of sound files and/or commands which are played or executed one by one. The elements that can appear in the list are:

  • WAV Files. A sound file. ZaraRadio accepts any compression format. The audio file plays normally.

  • MP3 Files. A sound file. ZaraRadio accepts any bit-rate (constant bit-rate or variable). The audio file plays normally.

  • OGG Files. A free sound file. The audio file plays normally.

  • WMA Files. A Windows Media sound file. The audio file plays normally.

  • Playlists (.lst, .m3u and .pls files). This file is a command when it appears inside a list. Its purpose is to load a new list and close the previous one. The new list will begin to play, beginning with the first song.

  • Rotations (.rot files). A list of sound files in rotation. It contains a list of tracks which play in the sequence as created. The tracks repeat in sequence. If a file in the list fails to play, the sequence will continue to the next file (failures noted in log file). The rotation file can contain any type of track (wav, mp3, commands, rotations...).

  • Sequences (.seq files). Sequences sound files. It contains a list of tracks that play all followed when playing the sequence. Like the rotations, the sequences can contain any type of tracks. They can be used to program advertising blocks.

  • Stop command (.stop files). Command that stops the playback.

  • Play command (.play files). Starts the playlist. It only makes sense as an immediate event.

  • Humidity files (.humidity). A sound file that says the humidity. In order to carry out this task, it is necessary to have the files with the proper name format in the Humidity directory, located in the folder where ZaraRadio is installed. The format of the files must be HUMXXX.mp3, where XXX is the corresponding humidity. For example, HUM100.mp3 is an audio clip that states: “the humidity is currently 100%”.

  • Temperature files (.temperature). A sound file that says the temperature. In order to carry out this task, it is necessary to have the files with the proper name format in the Temperature directory, located in the folder where ZaraRadio is installed. The format of the files must be:

    1. TMPXXX.mp3. This is a file that contains the audio clip for temperature XXX. For example, TMP025.mp3 is an audio clip that will say “25 degrees”.

    1. TMPNXXX.mp3. This is a file that contains the audio clip for temperature XXX below zero. For example, TMPN003.mp3 is an audio clip that will say “3 degrees below zero”.

  • Time announcements (.time files). A sound file that says the hour. Audio clips for hours and minutes must be propertly located in the Time folder. The name of the files must be:

    1. MINXX.mp3. This is an audio clip of minute XX. For example, MIN01.mp3 will contain and audio that will say “one”.

    1. HRSXX.mp3. This is an audio clip of hour XX. For example, HRS18.mp3 will contain and audio that will say “it's eighteen hours”.

    1. HRSXX_O.MP3. This is an audio clip of hour XX o'clock. For example, HRS18_O.MP3 will contain and audio that will say “it's six o'clock”.

  • Pauses (.pause files). When playing, they cause a silence of a determined length. In order to create pauses it is necessary to execute the command Playlist > Add pause.... Its duration must be specified between 0 and 3600 seconds.

  • Random tracks (.dir files). When played, a track is selected at random from the directory or sub-directory thereof specified. The tracks are not repeated, that is to say, until they have all been played. In order to create random tracks it is necessary to execute the command Playlist > Add random track.... If new files are added to the specified directory, they are automatically added to the random list. The new files will be placed ahead of files already played.

  • Post-it (.txt, .htm and .html files). Command that opens a window, showing the contents of the text or html file.

  • Executables and scripts (.exe y .bat files). Command that runs the exe or bat file.

  • Load events command (.evt command). Loading another event file clears the current event list replacing it with events specified by the event file loaded.

  • On-line radios (.stream files). Plays the sound of an on-line radio station.

  • Satellite connections (.satcon files). Enables the line in of the soundcard specified in the options dialog.

  • Satellite disconnections (.satdis files). Mutes the line in of the soundcard specified in the options dialog.

  • Enable the DTMF detector (.dtmfon files). Enables the DTMF tone detector.

  • Disabled the DTMF detector (.dtmfoff files). Disables the DTMF tone detector.

How to create a new list

  1. Press [image] to create an empty list.

  2. In order to add items to the list, press [image] in the toolbar or execute Playlist > Add tracks... This will open a window from which files can be selected. Standard Windows operations here for selecting more than one file at a time by using either the Ctrl or Shift key.

  3. It is also possible to Drag-And-Drop from the directory tree below the Upcoming Events list. Simply select a file with the mouse and drag it to the desired position in the playlist.

Playlist operation

  • When the list is in STOP, there is always a track of green color. The green color indicates which track is going to be played next. Therefore, pressing PLAY, the track marked in green color will play.

  • When the list is in PLAY, there is a track marked red in color. That is the track currently playing. As above, the track green in color will be next.

At any time it is possible to change which track will be next. To do this, double-click on a track (unless the option is activated to play immediately with double-click, in which case it is necessary to open the Media menu to make the change). Otherwise, you can right-click on the track with the mouse and select Mark as next. Initially the track will be blue in color and then become green in color indicating that it will play next.

A track that is blue in color indicates that it is the object of the next selected action. Clicking on a track will cause the track to be blue in color.

Clicking on [image] will stop the playlist after the current track (colored red) is finished.

  • Delete on play (autodelete): When this button is pressed, ZaraRadio removes each track from the list just after playing them.

  • Loop: When this button is pressed, ZaraRadio will play the current track again when it is finished.

Playlist operation modes

The playlist can operate five different ways. These are selected from the drop-down box in the toolbar.

  • Normal: The list plays sequentially and stops when the last track has finished.

  • Repeat: The list plays sequentially and restarts after the last track has finished.

  • Shuffle: Same as REPEAT, except it randomly rearranges the list before playing it again.

  • Manual: The selected song plays once. The list waits for the next command by the user.

  • Random: It plays the list in random order, that is to say, the green marker moves to a track randomly and plays it. It does not assure that the tracks are not repeated.

Pop-up menu

The playlist has a Pop-up menu, which opens by right-clicking the mouse on the playlist. This is basically a short cut to commonly used items from the menu bar and toolbars. Simultaneously, the track that is right-clicked is selected for the action selected in the Pop-Up menu.


Events

An event is a file that activates on schedule. Events are a useful way to play files or to execute commands independent of the playlist. They can be used to program announcements, actions, etc.

This figure shows the list of upcoming events in the main window of ZaraRadio. The events display 15 minutes prior to activating.

Above the list of events there are four buttons, whose functions are:

  1. Play: Starts delayed events, that is to say, events that have not yet been started as they are programmed to wait for a currently playing file to end.

  2. Discard events: Removes an event held by a delay as described above.

  3. Enable events: Activates or deactivates the loaded list of events.

  4. Schedule events (clock): Opens a window that allows defining, saving or loading events.

In order to add events, click on the clock icon. Doing this will open this window:

Each event has a check box that serves to activate or to deactivate the events individually.

New

Now, to add a new event, just press the New... button. Then, we will see the following dialog:

The user defined parameters of an event are:

  • Start date and time
    Select the date and time at which the event will play for the first time. The event will remain active until the date and time of expiration. If the expiration check box is not checked (default), then the event won't expire.

  • Periodicity
    Setting date and time defaults to playing once per day. Selecting Play every hour will do just that. Also, it is possible to program the event to play at selected hours. Selecting Other hours... opens the following window:

    Here you can mark the hours desired. For any of the times (hours) selected, the minutes default to whatever was selected for the start time.

  • Event type
    This can be a sound file, but also we can activate play or stop automatically, insert a random track, a connection via satellite... the satellite command clears mute of the selected sound card input for the amount of time shown in the field that is to the right.

  • Wait mode
    An event can be immediate or delayed. At the scheduled time of an event two things can happen: if Delayed is selected, the event will not start until the currently playing file finishes (if ZaraRadio is in stop, the event will not start until manually selecting Play); if Immediate is selected, the currently playing file will be interrupted and the event will start (if ZaraRadio is in stop, the event will cause ZaraRadio to play the event).

  • Priority
    Suppose the event is for a 30 minute program along with events every 5 minutes. With this programming, after the 30 minute program there would be a backlog of 6 events. In order to avoid this, ZaraRadio has a mechanism of priorities that discards events in these cases. An event can have high or low priority. When an event is playing and it's time for another event, two things can happen:

    • If the new event has a lower priority, the new event would be discarded and it would not play.

    • If the new event has higher priority or the same as the playing event, the new event would be left in the list of next events until the conclusion of the present event.

    The problem described above would be solved assigning high priority to the 30 minutes long event and low to the other events. Doing this, that events would be discarded while the long event is being played.

  • Maximum wait
    Maximum wait specifies how long an event can be delayed before being removed from the list of events. For example, if a delayed event programmed to start at 13:15 has a maximum wait of 5 minutes and cannot start by 13:20, it disappears from the window of next events and it does not play this time.

Modify

Click to modify one or more parameters of an event. It is necessary to have previously selected an event in the list. The same action can be carried out by double-clicking on an event.

Delete

Click to delete one or several events. In order to select several events, hold the Ctrl key while events are selected at random with the mouse. In order to select a block of events, click on an event and while holding the Shift key, select the last event in the desired list.

Delete expirated

Events that have expired appear grayed out to indicate this fact. Clicking on Delete expirated will clear all expired events from the list.

Open/Save

These two buttons are to open existing event files or to save the displayed event list respectively. In any case, when closing ZaraRadio the current list of events is stored automatically by Windows in the registry and is restored when ZaraRadio is restarted.


Options

Clicking on the icon [image] on the top toolbar, will open the options dialog. From this dialog, you will be able to manage:

  • Fade

  • Satellite port

  • Sound card outputs

  • Logging

  • Password

  • Silence detector

  • Mixer

  • TTH

  • Tags

  • Talk over

  • General options

  • Explorer

  • DTMF

There is a set of options whose value is common to all the users of the system, and to modify them it is necessary to have administrator rights on the system. These options are: fade, password, outputs, silence detector, satellite port, logging, TTH, explorer and DTMF. In the general tab, all the options are local to each user, unless AGC and station name.


Options - General

Options – General

It allows you to configure several options of ZaraRadio:

  • Station Name. Is the text that appears in the top tool bar of the main window.

  • Language. Language of the user interface.

  • 'CurrentSong' file output. It allows you to specify the folder in which the file CurrentSong.txt is generated. This file contains the file name which is being played. It may be useful to send the name of the song to a RDS coder or to display it in the station website.

  • Enable Autostart. Causes ZaraRadio to automatically play the playlist when the program is opened.

  • Enable AGC. Enables the automatic gain control, that keeps output volume at a constant level.

  • Open the last list at startup. If checked, Windows remembers the playlist that was active when ZaraRadio was closed and reloads that list when ZaraRadio is reopened.

  • Shutdown confirmation. When leaving the program, it asks the user if he really wants to quit the program.

  • Play tracks by double-clicking on them. By default, when double-clicking an item in the playlist, the green marker moves to that item, indicating it is next up. By activating this option, the track plays immediately when double-clicked, not waiting for the currently playing track to end.

  • Disable the events in secundary instances. When this option is checked, secundary instances will open with the events disabled.

  • Allow opening more than one instance. You can prevent the users from opening several instances of ZaraRadio by unchecking this option.


Options - Fade

Affects overlapping and fading of tracks. There are two modes of operation:

  • End of song detector.
    In the last seconds of a track (value determined by the field to overlap tracks) ZaraRadio will automatically detect volumes below the threshold indicated by the sliding bar. At that point, the overlap will illiminate the end of a track that has a long fade out.

  • Without detector.
    ZaraRadio will fade to the next song based solely on the selected time values. This will permit the end of a track to play out regardless of the playback level.

By default, the value selected for overlapping applies to all tracks. Nevertheless, it is possible to give a specific value of overlapping to each song. The file must be renamed by adding ~overlap to the file name, where overlap is a positive integer or a float value. For example, in the file Blues~1.mp3, one second will be the overlap value. When writing decimal values, make sure are using the deciman symbol specified in your Windows configuration, otherwise it won't be recognized (Control Panel > Regional Configuration of language > Standard and formats > Personalize).

Options Fade on overlap and Fade on stop:

  • Fade on overlap.
    When this option is active, ZaraRadio will fade the previous song whenever a new one begins. When deactivated, the song overlaps but is not faded.

  • Fade on stop.
    When activated, ZaraRadio will fade the playing track when Stop or Next is clicked. Otherwise, playback simply stops.


Options - Talk Over

Options – Talk over

Here you can set the level to reduce the currently playing track to when Talk over is activated. Also, time to reduce the level can be set here.


Options - Log

Options – Log

Here you can enable logging and specify where the log files are saved. In these files, ZaraRadio stores the time at which each file plays. Cued files are not logged. By default, tracks that repeat are logged. Check Log only when using the first instance if you don't want repeated tracks logged. You can type in the location for saving log files or browse for a location.


Options - Outputs

Options – Outputs

Select the sound card to use for the Air output, Cue output and the auxiliary players. If you have only one sound card output, both Air output and Cue output will be heard together.


Options - Satellite

Options – Satellite

Here you select the sound card input for the "Satellite" audio. The selected input is normally muted and un-mutes when a Satellite command is active. The input remains un-muted for a time period specified when the command is set.


Options - Mixer

Options – Mixer

You can use any Windows application audio sound card mixer. Type in the location of the mixer program file or Browse for the location. When the mixer icon on the top toolbar of the ZaraRadio main window is clicked, the mixer application selected will open.


Options - Password

Options – Password

Password allows the protection of common functions as well as events and plug-ins. If Enable protection is checked and a password set, the user will be prompted for the password when clicking on a protected item. Without the password, only a limited number of items can be viewed and changed.


Options - Silence detector

Options – Silence detector

Detects periods of silence while playing tracks. When this happens, ZaraRadio jumps to the next track. It does not activate in the case of a system failure, only when silence in the playing track exceeds the time selected.


Options - Tags

Options – Tags

By default, in the playlist are the names of the files. Nevertheless, for MP3 files, it is possible to show ID3 version 1 tags. In order to show them, simply check Enable tags. Type the desired info macros (listed below the box) into the Format box. The tag info represented by the macros will appear in the playlist in the order listed in the Format box.


Options - TTH

Options – TTH

Here you set temperature and humidity for announcement. ZaraRadio can import data from the application Weather Watcher (requires version 5.6 or higher) or you can manually enter values in the fields Temperature and Humidity. The application Weather Watcher can be downloaded for free at http://www.singerscreations.com.

To use data from a weather application, check Import from file and type in the file path to the data file generated by the weather application.

Select the appropriate Units (Celsius or Fahrenheit). ZaraRadio will automatically convert the weather data to this unit regardless of what unit the data currently is.

A problem that can arise is the loss of the Internet connection, so we would be announcing incorrect weather data values. In order to avoid this possible situation, you can make ZaraRadio not announce the temperature and the humidity, if the application Weather Watcher has not updated the data in a given range of time. To do this, check the Disable announcements... option and specify the minutes the weather data will be valid since the last update.

Configuring the application Weather Watcher

  1. When opening the application, you will see the following window:

  2. Click on the bottom icon on the left side of the window.

  3. The following window will be opened:

  4. Go to the Active City tab, if you are not already on it, and press the Add City button.

  5. The following window opens. Type in the desired city. In this example, we want to see data for Teruel, so we type "Teruel" and click on Search.

  6. Teruel is in the list and we click on OK.

  7. Back to the Weather Watcher Options window, click on the Export tab, then click on Enable Exporter. We must also indicate the file path that ZaraRadio will use to look up the file.

  8. Now, go to the Auto Update tab and select any value, excepting Never Auto Update. As a orientation, airports use to update the weather data every 30 minutes.

  9. Now, press OK and update the weather data if the program has not updated it automatically (by pressing the first button at the left side of the window). The application is now configured. Now we must tell ZaraRadio the path of the file generated by Weather Watcher, as it has been explained before at the beginning of this document.

  10. Then, check the Import from file option and press Browse to locate the file specified in Export file location.


Options - Explorer

Options – Explorer

It allows to configure the root folder of the explorer that is under the events window, as well as the types of the files displayed.


Options - DTMF

Options – DTMF

ZaraRadio allows you to synchronize your station with another one which uses DTMF tones. If you are not associated with any station, disable the detector. On the other hand, if you want to use this option, enable the detector and configure it according to your needs. In most stations, the disconnection tone is 69. When ZaraRadio detect this tone, it will mute the line-in channel and it will do the action selected below: play the list or play the pending events.

  • Pending events: Plays the pending delayed events. When it finishes the playback, it plays the playlist until the connection. If there are no pending events, it will play nothing.

  • Play the list: Plays the playlist normally (chaining the events if needed) until the connection arrives.

In order to connect you may choose three different options:

  • Tone: Some radios emit a tone to disconnect and another one to connect. If this is your case, check this option and specify the corresponding tone (it usually is 90).

  • After X seconds: There are radios that choose to set the disconnection time to a fixed number of minutes. If this is your case, check this option and specify the duration of your disconnections. Once that seconds have passed since the disconnection tone was received, ZaraRadio will stop the playback and it will open the line-in channel.

  • Don't connect or connect manually: In this case, ZaraRadio goes on playing the list and the events and it doesn't connect to the line-in. Also, it can be used to make manual connections. Suppose you want to launch a sequence with commercials and reconnect when it finishes. You could achieve that by adding a connection to satellite command at the end of the sequence.

ZaraRadio also contemplates the posibility of making local programs, in which you want to ignore the tones sent by the head station. When that situation happens, you can insert commands in the list or in the events to enable/disable the DTMF tone detector.

How to configure the Windows mixer

You have to configure the mixer for ZaraRadio to detect the DTMF tones properly, as explained here. Here, we will suppose we want to the detect the tones coming from the line-in port of the main soundcard (currently, it only works with that card). Thus, we must follow these steps:

  • Open the mixer (by pressing the button [image] in ZaraRadio, for example). We will see the following window:

  • Now, go to Options > Properties.

  • Check Recording in Adjust volume for and press OK.

  • Select the line-in port.

  • Close the mixer.


File Menu

  • New: Creates a new empty list, closing the previous one.

  • Open...: Opens existing playlists previously saved.

  • Save: Saves the current playlist.

  • Save as...: Saves the current playlist allowing a new file name.

  • Recent files: Shows list of files opened recently.

  • Exit: Closes ZaraRadio.


Edit Menu

  • Copy: Copy the selected tracks to the clipboard.

  • Paste: Places items on the clipboard into the playlist.

  • Delete: Eliminates selected playlist tracks. Remember that several can be selected simultaneously using either Ctrl or Shift.

  • Delete all: Eliminates all tracks from the playlist.

  • Find...: Opens a window that allows searching for items in the playlist.

  • Find in folders: Opens a window that allows file search for a given directory.


View Menu

  • Full path: Shows the complete file path for files in the playlist.

  • List font: Allows changing the text font used in the playlist.

  • Header in the list: Select to show playlist column titles (song title, length).

  • Song numbers: Select to sequentially number the songs of the playlist.

  • Weather data: When it is checked, it shows the temperature and humidity information. When it is unchecked, only the date and the time is shown.

  • Update tree: Refreshes the list of files below the list of next events. An update should be done after changing the content of the hard disk.


Jingles Menu

  • 1 to 9: Plays the selected audio clip.

  • Time announcement: Plays the current time (it is necessary to have the audio clips located in the Time folder created by ZaraRadio).

  • Temperature: Plays the current temperature (it is necessary to have the audio clips located in the Temperature folder created by ZaraRadio). Also, current temperature must be loaded manually at the Tools > Options > TTH menu.

  • Humidity: Plays the current humidity (it is necessary to have the audio clips located in the Humidity folder created by ZaraRadio). Also, current humidity must be loaded manually at the Tools > Options > TTH menu.

  • Edit Jingles...: Opens a window that allows changing Jingles assignments and lists. The actual Jingle file is created with a sound recording program. Only the list or assignments are edited here.


Playlist Menu

  • Add tracks...: Allows inserting new tracks into the playlist.

  • Add stop command: Adds the stop command below the selected track, or after the last track listed if none is selected.

  • Add time announcement: Adds a time announcement below the selected track, or after the last track listed if none is selected.

  • Add temperature announcement: Adds a temperature announcement below the selected track, or after the last track listed if none is selected.

  • Add humidity announcement: Adds a humidity announcement below the selected track, or after the last track listed if none is selected.

  • Add random track...: Opens a window that allows selecting a directory folder whose contents are played randomly. ZaraRadio tracks which files are played to assure random, non-repeating play.

  • Add pause...: Adds a pause command (length selected in window that opens) below the selected track, or after the last track listed if none is selected.

  • Add satellite...: Activates a sound card input by un-muting the input for a selected amount of time.

  • Add internet stream...: Starts an internet audio streaming file at the specified time.

  • Add connection to satellite: Adds a command to the list. When it is played, it unmutes the satellite port.

  • Add disconnection from satellite: Adds a command to the list. When it is played, it mutes the satellite port.

  • Add DTMF enable command: Adds a command to the list that enables the DTMF tone detector when it is played.

  • Add DTMF disable command: Adds a command to the list that disabled the DTMF tone detector when it is played.

  • Shuffle: Rearranges the list randomly.

  • Cue: Plays the selected track in a separate window player. This requires a second sound card output to separate the Cue playback from the On Air playback.

  • View selection length: Opens a dialog that shows the duration of the selected tracks in the playlist.

  • Update length: Updates the length column of the playlist for the selected track.

  • Update all the lengths: Updates the length column of the playlist for all the tracks.


Media Menu

  • Play: Begins to play the content of the playlist.

  • Stop: Stops the playlist.

  • Next: Plays the track marked in green and stops the track currently playing.

  • Talk over: When clicked the local microphone input is un-muted and the playlist volume is reduced to a preset level in a preset amount of time (fade) allowing you to talk over the program.

  • Stop after current: The playlist stops after the current track is finished.

  • Rename: Allows changing the name of the file selected (blue) in the list. You can not rename a file while it is playing.


Tools Menu

  • Mixer...: Opens the mixer application specified in the options > mixer window.

  • Aux players: It allows to open four auxiliary playlists. Each playlist can be assigned to a different soundcard.

  • Log browser...: Opens a dialog that allows to search data in the log files, as well as to export transmission reports.

  • Sweepers editor...: Opens a dialog that allows to assign sweepers to sound files. For more information, see voicetracking.

  • Options...: Opens a window allowing several ZaraRadio program options to be configured.


Programs Menu

  • Edit...: It allows to configure a unlimited number of shortcuts to programs. When executing this menu option, it will appear a dialog where you will be able to write the data of the program. You will be able to use macros in the fields “command” and “parameters”. Those macros are:

$(LogDir)

This macro is replaced by the directory where the log files are stored.

$(NextFile)

This macro obtains the complete path to the track marked green in color.

$(LogFile)

This macro is replaced by the complete path to the current log file.


Help Menu

  • Contents: Shows this help.

  • Tip of the day: How to suggestions of commonly asked questions.

  • About ZaraRadio: Shows information about ZaraRadio.


Jingles

The jingles

The bottom toolbar has 9 buttons that allow quick access to 9 Jingles (audio clips for immediate play), In addition, it is possible to store up to 10 different pages, allowing quick access of 90 Jingles.

There are 3 ways to activate a Jingle:

  1. The quickest way is to press a keyboard number. For example, to start the Jingle labeled "DGT" (number 3 on the tool bar shown), simply press the number 3 on the PC keyboard.

  2. Click on the number of the Jingle in the tool bar with the mouse.

  3. Go to the menu Jingles and to choose the desired Jingle.

To modify the Jingle button assignments, there are two options. First, and simplest, is to drag with the mouse a file from the file tree below the window of next events (or from Windows Explorer) to the button you want to assign. The other way is to select Jingles > Edit Jingles.... The following window appears:

To change a button assignment, click on the desired button and click Modify... (or just double-click the desired button). A window opens that will allow selecting a sound file to assign to the button. To save the current list of assignments or to open another saved list of assignments use the Open or Save buttons. Each page of a list must be separately saved. Change active pages using the drop-down box at the top.

Also, with the Cue button, you can preview the Jingles (remember a second sound card output is required to keep the Cue playback separate from the On Air playback).

The pages of the list can have text names also. Highlight the current name and type in a new one. Click on Rename or press the ENTER key.

Jingles have three modes of operation: Normal, Loop and Sweeper. In order to change the mode of operation, you must right click on the desired button. A window opens to allow
toggling between those modes:

  • Normal: The jingle is played normally.

  • Loop: The jingle will continue to repeat until jingle button is pressed again.

  • Sweeper: Before playing the jingle it lows the volume of the main playlist, restoring it when the jingle has finished.


Find in folders

This allows you to look for files in a given folder or its subfolders.

  • Find: You must write the text which will be searched in this field. ZaraRadio will search in the file name and in the ID3 tags TITLE and ARTIST, as long as it is enabled the search in ID3 tags option.

  • Cancel: Cancels the current search.

  • Folder: Folder in which the search will be done. You can choose one by pressing Browse.

  • Search in ID3 tags: Tells ZaraRadio whether the ID3 tags will be read or not. Please, note that the search is slower when this option is checked.

  • Find now: Starts the search process.

Once the search is finished, the list at the bottom will show all the files found. In order to insert them in the playlist, just make drag-and-drop. Besides, it is possible to prelisten the files by clicking with the right mouse button on the desired file and selecting the Cue option. The search is done by using masks, i.e., there is a special character which means any set of characters: *. For instance, in order to search the file TheRadio-Id1.mp3, we must write *id1*. It is similar to the command line window.


TTH announcements

ZaraRadio can announce the time, temperature and humidity automatically using pre-recorded audio clips. These announcements are inserted into the playlist (Playlist > Add time announcement) or event lists as commands. For this to work, the audio clips must be located in the folders Time, Temperature and Humidity created when ZaraRadio was installed (normally in c:\Program Files\ZaraSoft\ZaraRadio)

Time Folder

This folder contains audio clips of the spoken hours and minutes. There are three types of files:

  • HRSXX.mp3, where XX is the corresponding hour (from 00 to 23). These files must contain audio clips that say something similar to "It's XX". Example: the HRS02.mp3 file could say "Time now, 2". This will be followed by the minute file.

  • MINXX.mp3, where XX is the corresponding minutes (from 00 to 59). These files must contain audio clips that say only the number of the minute. Example: the MIN53.mp3 file would say "53". When preceded by the hour clip you have “Time now, 2:53”.

  • HRSXX_O.mp3 (the last character is the letter O, not a zero). This file must contain an audio clip that says something like "It's XX o'clock". Example: the HRS14_O.mp3 file would say "It's 1400 hours" for 24 hour format or "It's 2 PM o'clock" for 12 hour format.

Temperature Folder

This folder contains audio clips of the spoken temperature. There are two types of files:

  • TMPXXX.mp3, where XXX is the corresponding degrees (000 to 100, for example). You only need to have audio clips for the anticipated range of temperatures. Depending on whether you use Celsius or Fahrenheit the range of numbers will vary. For example, the TMP020.mp3 file could say "We have a temperature of twenty degrees".

  • TMPNXXX.mp3, where XXX is the corresponding degrees below zero (000 to 010, for example). The TMPN002.mp3 file could say "We have a temperature of two degrees below zero".

Humidity Folder

This folder contains audio clips of the spoken humidity:

  • HUMXXX.mp3, where XXX is the corresponding humidity (000 to 100). For example, the HUM035.mp3 file could say "We have a humidity of 35%".

Several users of ZaraRadio have collaborated, providing these audio clips for us. At the websites listed in the ZaraRadio Help file, you can locate User Forums where these pre-recorded audio clips may be found.


Main window

The main window

The main window is divided in several parts:

  • Bottom Toolbar:

PLAY button. Starts the playlist at the current location.

STOP button. Stops the playlist.

PAUSE button. Pauses the playlist.

STOP + PLAY. Advances the playlist to the next item.

REWIND button. Moves the playback approximately 30 seconds backward.

FORWARD button. Moves the playback approximately 30 seconds forward.

STOP AFTER CURRENT. Stops playback after the current item finishes.

TALK OVER button. Reduces the playback volume, and restores it when the button is preseed again. The amount of change in playback volume is set in the options menu as is the time to fade the playback to that level. Look for Talk Over in the options.

  • Top Toolbar:

Creates a new list.

Opens a previously saved list.

Saves the current list.

Opens file search box to add items to the playlist.

Removes the selected items from the playlist.

Copies the selected items into the clipboard.

Paste the clipboard contents.

Search the playlist for a specific item. The search reads the tags ID3 TITLE and ARTIST.

It allows to search files in a given folder and in all its subfolders. The search reads the tags ID3 TITLE and ARTIST and, of course, the file name. For more information, see find in folders.

Changes the playback mode. It can be Manual, Normal, Repeat, Random or Shuffle. See playlist for more details.

Opens the options dialog.

Opens the mixer specified in the options dialog.

Mutes o unmutes the satellite port.

Enable or disable the sweepers. When this button is not pressed, the sweepers are not played.

Opens four auxiliary playlists.

Opens this help.

  • Playlist:

Displays tracks and other commands in the order to be played. Red-currently playing and Green-plays next. The program length is shown for each item and the complete program. Note that Random tracks and other commands are not calculated as the exact file to play is not known. Also, even where all items show a length, the total time will not be exact depending upon overlapping of files if selected.

  • Jingles:

Up to 90 Jingles are possible in one list. See jingles for more details.

  • Eventos:

    This window will display events to occur in the next 15 minutes. See events for more details.

  • Program output display:

This display shows the currently playing track (red in the playlist) and the next up (green in the playlist). Bars L and R show the program stereo output levels. Also, a master level control located between the track titles is available to adjust the program output level. Below the currently playing track title are two time displays. The Remaining time counts down time to end of the track. The End time refers to when the track ends. Remember, this may not be exact due to overlapping of files if selected. The Clock icon can be clicked to manually output a time announcement. Current time is shown next to the Clock icon. Temperature and Humidity icon are also available to manually output those announcements also.


Voicetracking

Sweepers editor

ZaraRadio can play sound files, as well as time, temperature and humidity announcements over other sound files. This is known as voicetracking. In order to use this feature, you have to go to Tools > Sweepers editor... After doing that, the following dialog will appear:

This dialog displays all the sweepers. The first column shows the name of file on which the sweeper will be played. The second column displays the sweeper, and in the last one, the time since the beginning of the song that will elapse until the sweeper is played. Besides, there are the following buttons:

  • Add...: It allows to add a new sweeper to the list. When pressing this button, a new dialog will open, in which you will be able to set the data corresponding to the columns described above.

  • Modify...: It allows to modify the selected sweeper. This button opens the dialog described in the Add button.

  • Delete all: Removes all the sweepers from the list.

  • Delete: Removes the selected sweepers.

  • Open...: It allows to import a sweepers list, previously saved.

  • Save...: It allows to export the current sweepers list to a file.


Log browser

In order to open the log browser, execute the menu option Tools > Log browser... After doing that, the following dialog will open:

With the log browser, you will be able to know at which hours have been played a file, in a given range of dates. Besides, you will be able to export in TXT format your search, to give transmission reports to your customers. You can search three different things:

  • File: It allows to look for a specified file, within the log files. In order to do this, you must write the file name in field with the same name. It is not necessary to write the full path of the file. For example, if you want to look for the file c:\ZaraRadio\spots\spotZaraRadio.mp3, writing spotZaraRadio, would be enough.

  • Errors: It allows to look for all the errors such as broken files, missing files, and so on.

  • All: It displays the full content of the log files, in the given range of dates.

After choosing which thing you want to find, you must choose the range of dates in which the search will be done. Then, you can start the search by pressing the Search button. Once the search has finished, the results will be displayed in the list. Now, you can save the list in a file by pressing Export....


Auxiliary players

The auxiliary players

ZaraRadio has four auxiliary players with almost the same functions the main playlist has. In order to open this players, you have several options:

  • Execute Tools > Aux players > Player 1..4.

  • Press Ctrl+1,..., Ctrl+4.

  • Press the buttons 1 to 4, that are in the top toolbar.

After doing one of the steps described, the auxiliary players will appear anchored on the right side of the ZaraRadio window. These players looks like this:

Its use is similar to the one of the main playlist (see playlist and main window). The only notable difference is that to change the playback mode, you have to do it using the pop-up menu, which appears pressing the right button of the mouse.

The auxiliary players appear anchored on the right side of the window, but it is possible to move them to any other point. To change its position, press the left mouse button on the title bar (the title bar is the blue box in which appears the text Aux X) and drag it to the desired position. Four arrows will appear when moving the player. When releasing the mouse button over one of these arrows, the player will be anchored on the side they point to. In addition, it is possible to stack several auxiliary players and show them through tabs, to save space. If you want to make this operation, drag a player over another one and release the mouse button on the circular button which is in the center of the arrows.


On-line radios

Connection with on-line radios

In order to insert a connection with an on-line radio, select Playlist > Add internet stream.... The following dialog will open:

  • You must enter the time you want ZaraRadio to keep the connected to the radio in the first field.

  • Yoy must enter the real address of the radio in the second one. The addresses ended in m3u, pls, or asx are wrong, since they point to playlists (text files) and only are used to simplify the listen. Those files contain the real address of the radio, so you can see it by opening the file with a text editor. The following picture shows the content of a m3u file.

    #EXTM3U
    #EXTINF:0,[Radio Casares Irratia] http://emision.casaresirratia.com:8000 – mp3PRO
     http://emision.casaresirratia.com:8000

    In this case, the address of the radio is http://emision.casaresirratia.com:8000.